<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Tiny cursive plugin.
 *
 * @package tiny_cursive
 * @copyright  CTI <info@cursivetechnology.com>
 * @author kuldeep singh <mca.kuldeep.sekhon@gmail.com>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['all_course'] = 'All Courses';
$string['all_writing'] = 'All writing';
$string['allmodule'] = 'All Modules';
$string['alluser'] = 'All Users';
$string['analytics'] = 'Analytics';
$string['api_addr_url'] = 'API address URL';
$string['api_url'] = 'API URL';
$string['attemptid'] = 'Attempt id';
$string['authorship'] = 'Authorship Confidence: ';
$string['authorship_desc'] = 'TypeID verification status';
$string['average_min'] = 'Average Words Per minute:';
$string['backspace'] = 'Backspace';
$string['backspace_desc'] = 'Percentage of backspace and delete use from all key presses';
$string['backto_setting'] = 'Go to Setting';
$string['cite_src'] = 'Enable Site-Source';
$string['cite_src_des'] = 'Show site-source comments under post when enabled';
$string['close'] = 'Close';
$string['confidence_threshold'] = '0.65';
$string['confidence_thresholds'] = 'Confidence Threshold';
$string['copy_behave'] = 'Copy Behavior:';
$string['coursename'] = 'Course name';
$string['curlerror'] = 'Curl error';
$string['cursive:editsettings'] = 'Access Plugin Settings';
$string['cursive:mywritingreport'] = 'Accessing to my writing report';
$string['cursive:view'] = 'View Writing Reports';
$string['cursive:write'] = 'Write JSON File or Insert records';
$string['cursive:writingreport'] = 'Access to analytics';
$string['cursivewritingreport'] = 'Cursive Writing Report';
$string['data_save'] = 'Data saved successfully';
$string['difference'] = 'Difference';
$string['downlaod_pdf'] = 'Download report as pdf';
$string['download'] = 'Download';
$string['download_attempt_json'] = 'Download Attempt JSON';
$string['download_csv'] = 'Download cumulative Report';
$string['editspastesai'] = 'Edits/Pastes/AI  ';
$string['effort_ratio'] = 'Effort Ratio';
$string['effort_ratio_desc'] = 'Total characters from attributed effort / total characters in submission';
$string['email'] = 'Email';
$string['email_exist'] = 'Email does not exist';
$string['enter_nonzerovalue'] = 'Please Select at least 5 seconds';
$string['enter_numericvalue'] = 'Please Enter Numeric Value';
$string['enter_time'] = 'Enter time';
$string['errorverifyingtoken'] = 'Error verifying token';
$string['failed'] = 'failed';
$string['field_require'] = 'This field is required';
$string['field_required'] = 'This field is required';
$string['filenotfound'] = 'File not found!';
$string['fulname'] = 'Full Name';
$string['helplinktext'] = 'Cursive';
$string['host_domain'] = 'You Host domain.';
$string['last_modified'] = 'Last modified';
$string['learn_more'] = 'Learn More';
$string['module_name'] = 'Module Name';
$string['modulename'] = 'Module Name';
$string['moodle_host'] = 'Moodle Host';
$string['no_submission'] = 'No Submission';
$string['nopaylod'] = 'No payload data received yet';
$string['orderby'] = 'Order By';
$string['original_text'] = 'Original Text';
$string['paste'] = 'Paste Text';
$string['playback'] = 'Playback Video';
$string['pluginname'] = 'Cursive';
$string['pluginname_desc'] = 'This plugin configuration provides copy+paste interruption by default. To connect to the Cursive Machine Learning Server for authorship and writing analytics, please enter your token and server details below. If you do not have these, please contact info@cursivetechnology.com.';
$string['privacy:metadata:database:tiny_cursive'] = 'Information about the tiny cursive data.';
$string['privacy:metadata:database:tiny_cursive:timemodified'] = 'The time when the data was last modified.';
$string['privacy:metadata:database:tiny_cursive:userid'] = 'The ID of the user who provided the data.';
$string['privacy:metadata:database:tiny_cursive_comments'] = 'Information about the tiny cursive comments data.';
$string['privacy:metadata:database:tiny_cursive_comments:commenttext'] = 'The text of the comment.';
$string['privacy:metadata:database:tiny_cursive_comments:timemodified'] = 'The time when the comment was last modified.';
$string['privacy:metadata:database:tiny_cursive_comments:userid'] = 'The ID of the user who provided the comment.';
$string['privacy:metadata:tiny_cursive'] = 'Tiny cursive plugin user data.';
$string['questimereport'] = 'Question Report';
$string['questionname'] = 'Question';
$string['queswise'] = 'Question-wise';
$string['quizname'] = 'Activity name';
$string['random_reflex'] = 'Your Random Reflection Prompt';
$string['replay'] = 'Replay';
$string['secretkey'] = 'Cursive Secret Key';
$string['secretkey_desc'] = 'The API Secret Key of Cursive account';
$string['select_course'] = 'Select Course';
$string['select_module'] = 'Select Module';
$string['select_time'] = 'Select time option';
$string['select_user'] = 'Select a User';
$string['selectcrs'] = 'Select Course';
$string['selectmodule'] = 'Select Module';
$string['selectquiz'] = 'Select a quiz';
$string['selectuser'] = 'Select a User';
$string['serialno'] = 'Sr. No';
$string['sourceurl'] = 'sourceurl';
$string['stats'] = 'Stats';
$string['stndtime'] = 'Standard time';
$string['student_writing_statics'] = 'Writing Statistics';
$string['success'] = 'success';
$string['test_token'] = 'Test Token';
$string['thresold_description'] = 'Each site may set its threshold for providing the successful match “green check” to the TypeID column for student submissions. We recommend .65. However, there may be arguments for lower or higher thresholds depending on your experience or academic honesty policy.';
$string['time_writing'] = 'Time Writing: ';
$string['time_writing_desc'] = 'Total duration less inactive periods';
$string['timesave_success'] = 'Time saved successfully';
$string['timesave_successfull'] = 'Time save operation was successful';
$string['tiny_cursive'] = 'Authorship and Analytics';
$string['total_time'] = 'Total Time';
$string['total_time_writing'] = 'Total Time Writing:';
$string['total_word'] = 'Total Words:';
$string['total_words'] = 'Total Words:';
$string['total_words_desc'] = 'Estimated total words';
$string['typeid'] = 'TypeID';
$string['userename'] = 'User name';
$string['username'] = 'User name';
$string['warning'] = 'You have no permissions to access the page.';
$string['wordpermin'] = 'Words per minute:';
$string['words_per_minute'] = 'Words per Minute';
$string['words_per_minute_desc'] = 'Total duration / total words';
$string['wractivityreport'] = 'Writing Activity Report';
$string['writing'] = 'Writing Report';


